[TOC]

## 文章概要
本文档介绍RF01TI01F2PXX系列产品支持的 AT 命令集。
## 定义
- `<CR>` 回车符。
- `<LF>` 换行符。
- <…> 参数名称。实际命令行中不包含尖括号。
- […] 可选参数或 TA 信息响应的可选部分。实际命令行中不包含方括号。若无特别说明，配置命令中的可选参数被省略时，将默认使用其之前已设置的值或其默认值。
- 下划线 参数的默认设置。

## AT命令语句

前缀 AT 或 at 必须加在每个命令行的开头。输入`<CR>`将终止命令行。通常，命令后面跟随形式为`<CR><LF><response><CR><LF>`的响应。在本文档中表现命令和响应的表格中，省略了`<CR><LF>`，仅显示命令和响应。
模块实现的 AT 命令可以在语法上分为两类：基础类、S 参数类和扩展类，如下所列。
- 基础类
基础类 AT 命令的格式为 AT`<x><n>`或 AT&`<x><n>`，其中`<x>`是命令，`<n>`是该命令的参数。以
ATE`<n>`为例，DCE 会根据`<n>`的取值确定是否将接收到的字符回显给 DTE。若`<n>`为可选参数，
则其被省略时将使用其默认值。
- S 参数类
此类 AT 命令格式有 ATS`<n>`=`<m>`，其中`<n>`是 S 寄存器的索引，`<m>`是赋予的参数值。
- 扩展类
扩展类 AT 命令可以在多种模式下运行，如下表所示：

| AT命令类型 | 语句                             | 描述                                                                 |
| ---------- | -------------------------------- | -------------------------------------------------------------------- |
| 测试命令   | AT+`<cmd>`=?                       | 测试是否存在相应的设置命令，并返回有关其参数的类型、值或范围的信息。 |
| 查询命令   | AT+`<cmd>`?                        | 查询相应设置命令的当前参数值。                                       |
| 设置命令   | AT+`<cmd>`=`<p1>`[,`<p2>`[,`<p3>`[...]]] | 设置用户可定义的参数值。                                             |
| 执行命令   | AT+`<cmd>`                         | 返回特定的参数信息或执行特定的操作。                                 |


可以用分号（;）将多个命令放在同一行。此时只有第一个命令带有 AT 前缀。命令可以是大写或小写。
输入 AT 命令时，可以忽略空格。但以下情况除外：
- 带引号的字符串内；
- 不带引号的字符串或数字参数内；
- IP 地址内；
- 在 AT 命令名称中的 =、? 或 =? 内。

输入 AT 命令时，至少需要一个回车符。换行符会被忽略，因此在输入时允许使用一个回车符/换行符对。
若只输入了 AT 标记，未携带命令，则会返回 OK；若输入的是无效命令，则会返回 ERROR。
对于可选参数，除非明确说明，否则需要一直输入到最后一个可选参数为止。

## AT 命令响应

当 AT 命令处理器处理完一条命令后，会返回 OK、ERROR 或+CME ERROR: `<err>`，表示已经准备好接收新命令。在返回最终的 OK，ERROR 或+CME ERROR: `<err>`之前，会发送请求的响应消息。
以下是响应消息的格式：

`<CR><LF>`+CMD1: `<parameters><CR><LF>`
`<CR><LF>`OK`<CR><LF>`
或者
`<CR><LF><parameters><CR><LF>`
`<CR><LF>`OK`<CR><LF>`

## 支持的字符集
AT 命令接口默认使用 GSM 字符集，其支持的字符集如下：
- GSM format
- UCS2
- IRA

可以使用 AT+CSCS（3GPP TS 27.007）来配置和查询字符集，并在 3GPP TS 27.005 中对其进行定义。字符集会影响 SMS 和 SMS 广播消息的发送和接收，以及电话簿条目文本字段的输入和显示。

## 未经请求的结果码
作为未经请求的结果码和上报消息，URC 是由模块发出的报告消息，无需 TE 请求，并且在发生特定事件时自动发布，而不会作为与已执行的 AT 命令相关的响应的一部分发出。导致 URC 上报的特定事件包括收到短消息、AT命令响应、高/低压警报和高/低温警报等。

## AT 示例声明
本文中的示例仅为方便用户了解 AT 命令的使用方法，不构成对终端流程设计的建议或意见，
也不代表模块应被设置成相应示例中的状态。某些 AT 命令存在多个示例，这些示例之间不存在承接关系或连续性。